/*!
 * Jodit Editor (https://xdsoft.net/jodit/)
 * Released under MIT see LICENSE.txt in the project root for license information.
 * Copyright (c) 2013-2025 Valeriy Chupurnov. All rights reserved. https://xdsoft.net
 */
/**
 * [[include:plugins/README.md]]
 * @packageDocumentation
 * @module plugins
 */
import "./about/about.js";
import "./add-new-line/add-new-line.js";
import "./backspace/backspace.js";
// import 'jodit/plugins/debug/debug';
import "./delete/delete.js";
import "./bold/bold.js";
import "./class-span/class-span.js";
import "./clean-html/clean-html.js";
import "./clipboard/clipboard.js";
import "./color/color.js";
import "./copy-format/copy-format.js";
import "./drag-and-drop/drag-and-drop.js";
import "./drag-and-drop-element/drag-and-drop-element.js";
import "./enter/enter.js";
import "./file/file.js";
import "./focus/focus.js";
import "./font/font.js";
import "./format-block/format-block.js";
import "./fullsize/fullsize.js";
import "./hotkeys/hotkeys.js";
import "./hr/hr.js";
import "./iframe/iframe.js";
import "./image/image.js";
import "./image-processor/image-processor.js";
import "./image-properties/image-properties.js";
import "./indent/indent.js";
import "./inline-popup/inline-popup.js";
import "./justify/justify.js";
import "./key-arrow-outside/key-arrow-outside.js";
import "./limit/limit.js";
import "./line-height/line-height.js";
import "./link/link.js";
import "./media/media.js";
import "./mobile/mobile.js";
import "./ordered-list/ordered-list.js";
import "./paste/paste.js";
import "./paste-from-word/paste-from-word.js";
import "./paste-storage/paste-storage.js";
import "./placeholder/placeholder.js";
import "./powered-by-jodit/powered-by-jodit.js";
import "./preview/preview.js";
import "./print/print.js";
import "./redo-undo/redo-undo.js";
import "./resize-cells/resize-cells.js";
import "./resize-handler/resize-handler.js";
import "./resizer/resizer.js";
import "./search/search.js";
import "./select/select.js";
import "./select-cells/select-cells.js";
import "./size/size.js";
import "./source/source.js";
import "./spellcheck/spellcheck.js";
import "./stat/stat.js";
import "./sticky/sticky.js";
import "./symbols/symbols.js";
import "./ai-assistant/ai-assistant.js";
import "./tab/tab.js";
import "./table/table.js";
import "./table-keyboard-navigation/table-keyboard-navigation.js";
import "./video/video.js";
import "./wrap-nodes/wrap-nodes.js";
import "./dtd/dtd.js";
import "./xpath/xpath.js";
// JODIT-START:FAT
import "./speech-recognize/speech-recognize.js";
// JODIT-END:FAT
